Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Associates helper applications with particular file types
Name: 		mailcap
Version: 	2.1.27
Release: 	1
License: 	Public Domain
Group: 		System/Base
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# cvs -d :pserver:anonymous@elvis.redhat.com:/usr/local/CVS co -r r2-1-27 mailcap
# cd mailcap; make create-archive
Source0: 	%{name}-%{version}.tar.gz
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The mailcap file is used by the metamail program.  Metamail reads the
mailcap file to determine how it should display non-text or multimedia
material.  Basically, mailcap associates a particular type of file
with a particular program that a mail agent or other program can call
in order to handle the file.

Mailcap should be installed to allow certain programs to be able to
handle non-text files.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m 644 mailcap mime.types $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man4
install -p -m 644 mailcap.4 $RPM_BUILD_ROOT%{_mandir}/man4

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/mailcap
%config(noreplace) %{_sysconfdir}/mime.types
%{_mandir}/man4/mailcap.*

%changelog
* Thu Feb 14 2008 Christian Metzen <metzench@ccux-linux.de> 2.1.27-1
- Initial release
